Skip to Content
inclamoDocs

Get a automation rule details

GET
/api/v1/accounts/{account_id}/automation_rules/{id}

Get the details of a automation rule in the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

id*integer

The ID of the automation rule to be updated.

account_id*integer

The numeric ID of the account

Response Body

Success

application/json
  1. response
payload?array<>|

Response payload that contains automation rule(s)

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/automation_rules/0'
Example Response
{  "payload": {    "id": 90,    "account_id": 1,    "name": "add-label-bug-if-message-contains-bug",    "description": "add-label-bug-if-message-contains-bug",    "event_name": "message_created",    "conditions": [      {        "values": [          "incoming"        ],        "attribute_key": "message_type",        "query_operator": "and",        "filter_operator": "equal_to"      },      {        "values": [          "bug"        ],        "attribute_key": "content",        "filter_operator": "contains"      }    ],    "actions": [      {        "action_name": "add_label",        "action_params": [          "bugs",          "support-query"        ]      }    ],    "created_on": 1650555440,    "active": true  }}